> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /users/xuid(xuid)/lists/PINS/{listname}/index({index})?insertIndex={insertIndex}

> /users/xuid(xuid)/lists/PINS/{listname}/index({index})?insertIndex={insertIndex}

Moves an item within a list.
The domain for these URIs is `eplists.xboxlive.com`.

* [URI parameters](#ID4EV)

## URI parameters

| Parameter | Type | Description |
| - | - | - |
| XUID | string | XUID of the user. |
| listname | string | Name of the list to manipulate. |
| index | string | Specifies the current index of the item to be moved. If the index value is zero or a positive integer, this refers to the current index of the item, and the request body of the call should be empty. However, if the index value is "-1", the item to be moved must be specified by ItemId or Provider/ProviderID in the request body of the call. |

## Valid methods

[POST](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnameindexpost.md)

  Moves an item in a list to a different position within the list.

## See also

##### Parent

[Universal Resource Identifier (URI) Reference](https://docs.xbox.com/reference/live/rest/uri/atoc-xboxlivews-reference-uris.md)


## Related topics

- [POST /users/xuid(xuid)/lists/PINS/{listname}/index({index})?insertIndex={insertIndex}](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnameindexpost.md)
- [/users/xuid(xuid)/lists/PINS/{listname}](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistname.md)
- [POST (/users/xuid(xuid)/lists/PINS/{listname})](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnamepost.md)
- [PUT (/users/xuid(xuid)/lists/PINS/{listname})](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnameput.md)
- [DELETE (/users/xuid(xuid)/lists/PINS/{listname})](https://docs.xbox.com/reference/live/rest/uri/lists/uri-usersxuidlistspinslistnamedelete.md)
